import { AdaptableApi, AdaptableTheme } from '../../types';
import { IThemeService } from './Interface/IThemeService';
export declare class ThemeService implements IThemeService {
    private api;
    private unsubscribe;
    private styleSheetObject;
    constructor(api: AdaptableApi);
    destroy(): void;
    subscribe(): void;
    onThemeChanged: () => void;
    applyNewThemeVariables(theme: AdaptableTheme): void;
    showMissingThemeFiles(theme: AdaptableTheme): void;
    getDOMPrefferedColorScheme(): 'dark' | 'light';
    mapOsTheme(theme: AdaptableTheme | string): AdaptableTheme;
    attachPrefferedColorSchemeListener(): () => void;
}
